/*
 * Copyright © 2024 Hexastack. All rights reserved.
 *
 * Licensed under the GNU Affero General Public License v3.0 (AGPLv3) with the following additional terms:
 * 1. The name "Hexabot" is a trademark of Hexastack. You may not use this name in derivative works without express written permission.
 * 2. All derivative works must include clear attribution to the original creator and software, Hexastack and Hexabot, in a prominent location (e.g., in the software's "About" section, documentation, and README file).
 * 3. SaaS Restriction: This software, or any derivative of it, may not be used to offer a competing product or service (SaaS) without prior written consent from Hexastack. Offering the software as a service or using it in a commercial cloud environment without express permission is strictly prohibited.
 */

import { ModelCreateDto } from '../dto/model.dto';

export const modelModels: ModelCreateDto[] = [
  {
    name: 'ContentType',
    identity: 'contenttype',
    attributes: {},
  },
  {
    name: 'Content',
    identity: 'content',
    attributes: {},
  },
  {
    name: 'NlpEntity',
    identity: 'nlpentity',
    attributes: {},
  },
  {
    name: 'NlpSampleEntity',
    identity: 'nlpsampleentity',
    attributes: {},
  },
  {
    name: 'NlpSample',
    identity: 'nlpsample',
    attributes: {},
  },
  {
    name: 'NlpValue',
    identity: 'nlpvalue',
    attributes: {},
  },
  {
    name: 'Setting',
    identity: 'setting',
    attributes: {},
  },
  {
    name: 'Attachment',
    identity: 'attachment',
    attributes: {},
  },
  {
    name: 'User',
    identity: 'user',
    attributes: {},
  },
  {
    name: 'Role',
    identity: 'role',
    attributes: {},
  },
  {
    name: 'Permission',
    identity: 'permission',
    attributes: {},
  },
  {
    name: 'Block',
    identity: 'block',
    attributes: {},
  },
  {
    name: 'Category',
    identity: 'category',
    attributes: {},
  },
  {
    name: 'Label',
    identity: 'label',
    attributes: {},
  },
  {
    name: 'ContextVar',
    identity: 'contextvar',
    attributes: {},
  },
  {
    name: 'Conversation',
    identity: 'conversation',
    attributes: {},
  },
  {
    name: 'Message',
    identity: 'message',
    attributes: {},
  },
  {
    name: 'Subscriber',
    identity: 'subscriber',
    attributes: {},
  },
  {
    name: 'Translation',
    identity: 'translation',
    attributes: {},
  },
  {
    name: 'BotStats',
    identity: 'botstats',
    attributes: {},
  },
  {
    name: 'Menu',
    identity: 'menu',
    attributes: {},
  },
  {
    name: 'Model',
    identity: 'model',
    attributes: {},
  },
];
